## zanshin 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(zanshin VERSION ${RELEASE_SERVICE_VERSION})
@@ -83,9 +83,9 @@
     Crash
 )
 
-find_package(KPim6Akonadi "6.5.90" REQUIRED)
-find_package(KPim6AkonadiCalendar "6.5.90" REQUIRED)
-find_package(KPim6KontactInterface "6.5.90" REQUIRED)
+find_package(KPim6Akonadi "6.6.0" REQUIRED)
+find_package(KPim6AkonadiCalendar "6.6.0" REQUIRED)
+find_package(KPim6KontactInterface "6.6.0" REQUIRED)
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 ecm_set_disabled_deprecation_versions(QT 6.3.0
