## zanshin 25.12.0+p24.04+vstable+git20251224.0903

=== debian/changelog ===
zanshin (25.12.0+p24.04+vstable+git20251224.0903-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 09:03:52 +0000

zanshin (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:43:02 +1000
