## zanshin 25.12.0+p24.04+vstable+git20260102.1226

=== CMakeLists.txt ===
--- 
+++ 
@@ -83,9 +83,9 @@
     Crash
 )
 
-find_package(KPim6Akonadi "6.6.0" REQUIRED)
-find_package(KPim6AkonadiCalendar "6.6.0" REQUIRED)
-find_package(KPim6KontactInterface "6.6.0" REQUIRED)
+find_package(KPim6Akonadi "6.6.1" REQUIRED)
+find_package(KPim6AkonadiCalendar "6.6.1" REQUIRED)
+find_package(KPim6KontactInterface "6.6.1" REQUIRED)
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 ecm_set_disabled_deprecation_versions(QT 6.3.0
