## zanshin 25.12.0+p24.04+vstable+git20260105.1028

=== debian/changelog ===
zanshin (25.12.0+p24.04+vstable+git20260105.1028-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 10:28:37 +0000
