=== debian/changelog ===
zanshin (25.12.0+p24.04+vunstable+git20251209.0539-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 05:39:48 +0000
