## zanshin 25.12.1+p24.04+vstable+git20260107.0344

=== debian/changelog ===
zanshin (25.12.1+p24.04+vstable+git20260107.0344-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 03:44:42 +0000

zanshin (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:34:38 +1000
