## zanshin 25.12.1+p24.04+vstable+git20260128.0453

=== debian/changelog ===
zanshin (25.12.1+p24.04+vstable+git20260128.0453-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 04:53:35 +0000
