=== debian/changelog ===
zanshin (25.12.1+p24.04+vunstable+git20260203.0908-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 09:08:20 +0000
